# gcp::ReactionPropDlg Class Reference

reaction properties dialog box class. More...

`#include <gcp/reaction-prop-dlg.h>`

Inheritance diagram for gcp::ReactionPropDlg:

List of all members.

## Public Member Functions

| ReactionPropDlg (ReactionArrow *arrow, ReactionProp *prop)
virtual | ~ReactionPropDlg ()

## Detailed Description

reaction properties dialog box class.

The class for the dialog used to set the properties of objects attached to reaction arrows.

Definition at line 45 of file reaction-prop-dlg.h.

## Constructor & Destructor Documentation

gcp::ReactionPropDlg::ReactionPropDlg | ( | ReactionArrow * | arrow,
|  | ReactionProp * | prop |
| ) |  |  |

Parameters:

  | arrow | the reaction arrow to which the object is attached.
  | prop | the associated reaction property.

Builds and shows the reaction properties dialog box for arrow and prop.

virtual gcp::ReactionPropDlg::~ReactionPropDlg | ( |  | ) | `[virtual]`

The destructor.

The documentation for this class was generated from the following file:

- reaction-prop-dlg.h